QueryParserConstants (Lucene 10.5.0 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.surround.parser, interface: QueryParserConstants

Package org.apache.lucene.queryparser.surround.parser

# Interface QueryParserConstants

All Known Implementing Classes:
  `QueryParser`, `QueryParserTokenManager`

public interface QueryParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `_DISTOP_NUM`
  RegularExpression Id.
  `static final int`
  `_NUM_CHAR`
  RegularExpression Id.
  `static final int`
  `_ONE_CHAR`
  RegularExpression Id.
  `static final int`
  `_STAR`
  RegularExpression Id.
  `static final int`
  `_TERM_CHAR`
  RegularExpression Id.
  `static final int`
  `_WHITESPACE`
  RegularExpression Id.
  `static final int`
  `AND`
  RegularExpression Id.
  `static final int`
  `Boost`
  Lexical state.
  `static final int`
  `CARAT`
  RegularExpression Id.
  `static final int`
  `COLON`
  RegularExpression Id.
  `static final int`
  `COMMA`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `LPAREN`
  RegularExpression Id.
  `static final int`
  `N`
  RegularExpression Id.
  `static final int`
  `NOT`
  RegularExpression Id.
  `static final int`
  `NUMBER`
  RegularExpression Id.
  `static final int`
  `OR`
  RegularExpression Id.
  `static final int`
  `QUOTED`
  RegularExpression Id.
  `static final int`
  `RPAREN`
  RegularExpression Id.
  `static final int`
  `SUFFIXTERM`
  RegularExpression Id.
  `static final int`
  `TERM`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `TRUNCQUOTED`
  RegularExpression Id.
  `static final int`
  `TRUNCTERM`
  RegularExpression Id.
  `static final int`
  `W`
  RegularExpression Id.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### _NUM_CHAR

    static final int _NUM_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _TERM_CHAR

    static final int _TERM_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WHITESPACE

    static final int _WHITESPACE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _STAR

    static final int _STAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _ONE_CHAR

    static final int _ONE_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _DISTOP_NUM

    static final int _DISTOP_NUM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OR

    static final int OR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AND

    static final int AND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOT

    static final int NOT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### W

    static final int W
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### N

    static final int N
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LPAREN

    static final int LPAREN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RPAREN

    static final int RPAREN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COMMA

    static final int COMMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLON

    static final int COLON
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CARAT

    static final int CARAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRUNCQUOTED

    static final int TRUNCQUOTED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTED

    static final int QUOTED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUFFIXTERM

    static final int SUFFIXTERM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRUNCTERM

    static final int TRUNCTERM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TERM

    static final int TERM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NUMBER

    static final int NUMBER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### Boost

    static final int Boost
    Lexical state.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.